org.jacoco.report

## Interface IMultiReportOutput

All Known Implementing Classes:
  FileMultiReportOutput, ZipMultiReportOutput

    public interface IMultiReportOutput

Interface to emit multiple binary files.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Closes the underlying resource container.
`OutputStream` `createFile(String path)` Creates a file at the given local path.

### Method Detail

#### createFile

    OutputStream createFile(String path)
                     throws IOException

Creates a file at the given local path. The returned `OutputStream` has to be closed before the next document is created.

Parameters:
  `path` - local path to the new document
Returns:
  output for the content
Throws:
  `IOException` - if the creation fails

#### close

    void close()
        throws IOException

Closes the underlying resource container.

Throws:
  `IOException` - if closing fails